# Retrieve list of predictive scoring models

Retrieve a list of predictive scoring models in the specified parent segment.

Endpoint: GET /audiences/{audienceId}/predictive_segments
Version: 1.0.0
Security: TdApikeyAuth

## Path parameters:

  - `audienceId` (integer, required)
    Master Segment id of the predictive segment

## Response 200 fields (application/json):

  - `audienceId` (string)

  - `id` (string)

  - `baseSegmentId` (string,null)

  - `segmentId` (string)

  - `scoredSegmentId` (string,null)

  - `name` (string)

  - `description` (string,null)

  - `categoricalAsColumnNames` (array)

  - `categoricalArrayAsColumnNames` (array)

  - `quantitativeAsColumnNames` (array)

  - `accuracy` (number,null)
    Accuracy for trained model evaluated on initial training.

  - `areaUnderRocCurve` (number,null)
    Evaluation score for the model. See also https://en.wikipedia.org/wiki/Receiver_operating_characteristic#Area_under_the_curve

  - `gradeThresholds` (array)
    Given the items [a, b, c], they must meet the condition a >= b >= c
    Example: [75,50,25]

  - `createdAt` (string)

  - `updatedAt` (string)

## Response 400 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 5XX fields (application/json):

  - `status` (integer, required)
    Error status

  - `error` (string, required)
    Error message

  - `details` (string)
    Detailed error message


